Skip to main content

Categorize Transactions

This endpoint takes an array of transactions and automatically categorizes them based on description, transaction_type, and amount. This endpoint can receive and categorize a maximum of 100 transactions per request.

POST
/categorize_and_describe

Parameters

FieldRequiredType

amount

Optional
Decimal

description

Required
String

extended_transaction_type

Optional
String

id

Optional
String

memo

Optional
String

merchant_category_code

Optional
String

type

Optional
String

Request sample


_29
curl -i -X POST https://int-deduction.moneydesktop.com/:client_id/categorize_and_describe.json \
_29
-H "Content-Type: application/vnd.mx.deduction.v1+json" \
_29
-H "Accept: application/vnd.mx.deduction.v1+json" \
_29
-H "MD-API-KEY: :api_key" \
_29
-d '{
_29
"transactions": [
_29
{
_29
"description": "BEER BAR 65000000764SALT LAKE C",
_29
"memo": "Craft Beer",
_29
"merchant_category_code":5813,
_29
"id": "12",
_29
"amount": 11.22,
_29
"type": "DEBIT"
_29
},
_29
{
_29
"description": "IN-N-OUT BURGER #239AMERICAN FO",
_29
"memo": "#239AMERICAN FORK UT",
_29
"id": "13",
_29
"amount": 21.33,
_29
"type": "DEBIT"
_29
},
_29
{
_29
"description": "ONLINE PAYMENT - THANK YOU",
_29
"id": "14",
_29
"amount": 1595.33,
_29
"type": "CREDIT"
_29
}
_29
]
_29
}'

Response sample


_76
{
_76
"transactions": [
_76
{
_76
"amount": 11.22,
_76
"categorized_by": 9,
_76
"category": "ALCOHOL_BARS",
_76
"category_guid": "CAT-9d58b17b-0982-18b5-5a6e-8a76337c4f88",
_76
"described_by": 0,
_76
"description": "Beer Bar",
_76
"extended_transaction_type": null,
_76
"id": "12",
_76
"is_bill_pay": null,
_76
"is_direct_deposit": false,
_76
"is_expense": true,
_76
"is_fee": false,
_76
"is_income": false,
_76
"is_overdraft_fee": false,
_76
"is_payroll_advance": null,
_76
"is_subscription": null,
_76
"memo": "Craft Beer",
_76
"merchant_category_code": 5813,
_76
"merchant_guid": null,
_76
"merchant_location_guid": null,
_76
"original_description": "BEER BAR 65000000764SALT LAKE C",
_76
"type": "DEBIT"
_76
},
_76
{
_76
"amount": 21.33,
_76
"categorized_by": 13,
_76
"category": "FAST_FOOD",
_76
"category_guid": "CAT-88cbb033-0fc1-ff06-6532-0f357c0f5081",
_76
"described_by": 6,
_76
"description": "In-N-Out Burger",
_76
"extended_transaction_type": null,
_76
"id": "13",
_76
"is_bill_pay": null,
_76
"is_direct_deposit": null,
_76
"is_expense": true,
_76
"is_fee": false,
_76
"is_income": false,
_76
"is_overdraft_fee": null,
_76
"is_payroll_advance": null,
_76
"is_subscription": null,
_76
"memo": "#239AMERICAN FORK UT",
_76
"merchant_category_code": null,
_76
"merchant_guid": "MCH-4a889eb0-0459-f66f-a137-c5e06409d8e6",
_76
"merchant_location_guid": null,
_76
"original_description": "IN-N-OUT BURGER #239AMERICAN FO",
_76
"type": "DEBIT"
_76
},
_76
{
_76
"amount": 1595.33,
_76
"categorized_by": 13,
_76
"category": "CREDIT_CARD_PAYMENT",
_76
"category_guid": "CAT-2cc9b500-e09d-88be-e3e0-0a8a82a54586",
_76
"described_by": 6,
_76
"description": "Online Payment Thank You",
_76
"extended_transaction_type": null,
_76
"id": "14",
_76
"is_bill_pay": null,
_76
"is_direct_deposit": null,
_76
"is_expense": true,
_76
"is_fee": false,
_76
"is_income": false,
_76
"is_overdraft_fee": null,
_76
"is_payroll_advance": null,
_76
"is_subscription": null,
_76
"memo": null,
_76
"merchant_category_code": null,
_76
"merchant_guid": null,
_76
"merchant_location_guid": null,
_76
"original_description": "ONLINE PAYMENT - THANK YOU",
_76
"type": "CREDIT"
_76
}
_76
]
_76
}